# UniTAP.dev.ports.hdtx

class HDTX(UniTAP.dev.ports.tx.TX):

Main class of `HDTX` object. Inherited from class `TX`. Class describes capabilities of 300th (3XX) series of HDMI devices in Source (TX - transmitter) role.

###### Attributes:

- __link (HdmiLinkTx): object of `HdmiLinkTx`.
- __edid (EdidSource): object of `EdidSource`.
- __hdcp (HdcpSource): object of `HdcpSource`.
- __pg (HdmiPatternGenerator): object of `HdmiPatternGenerator`.
- __event_capturer (EventCapturer): object of `EventCapturer`.
- __cec (CecTx): object of `CecTx`.

HDTX( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
link: UniTAP.dev.ports.modules.link.hdmi.link.HdmiLinkTx

Should be used to control link settings on Source (TX - transmitter) side.

###### Returns:

> object of `HdmiLinkTx` type.

pg: UniTAP.dev.ports.modules.vtg.pg.HdmiPatternGenerator

Should be used to control Pattern generator functionality on Source (TX - transmitter) side.

###### Returns:

> object of `HdmiPatternGenerator` type.

edid

Should be used to work with EDID on Source (TX - transmitter) side.

###### Returns:

> object of `EdidSource` type.

hdcp: UniTAP.dev.ports.modules.hdcp.hdcp_tx.HdcpSource

Should be used to work with HDCP on Source (TX - transmitter) side.

###### Returns:

> object of `HdcpSource`.

event_capturer: UniTAP.dev.ports.modules.capturer.event.event_capturer.EventCapturer

Should be used to control `EventCapturer` on Source (TX - transmitter) role.

###### Returns:

> object of `EventCapturer` type.

cec: UniTAP.dev.ports.modules.cec.cec_tx.CecTx

Should be used to control `CecTx` on Source (TX - transmitter) role.

###### Returns:

> object of `CecTx` type.

##### Inherited Members

UniTAP.dev.ports.tx.TX
  ag